# traefik

## get started

you will need a .env file

sample .env:

    # .env

    PROJECT_NAME=sample
    PROJECT_URL=localhost
    TRAEFIK_NETWORK=traefik_net

place the tls crt and key in the tls-data
and append them also to the tls.yml


then execute init with

    chmod +x init && ./init

now traefik gui should be accessable: https://${PROJECT_URL} 
if you use the sample .env: https://localhost 


## test your compose network

to test your traefik network you can start the whoami compose with:

    docker compose -f ./docker-compose-whoami.yml up -d

you can stop the whoami with

    docker compose -f ./docker-compose-whoami.yml down -v


## additional links
- [traefik docu](https://doc.traefik.io/traefik/)